CREATE TABLE "SYS_CODE_RULES_HEADER" (
  "HEADER_ID" NUMBER(38) NOT NULL ,
  "RULE_CODE" VARCHAR2(50 BYTE) NOT NULL ,
  "RULE_NAME" VARCHAR2(50 BYTE) ,
  "DESCRIPTION" VARCHAR2(255 BYTE) ,
  "ENABLE_FLAG" VARCHAR2(5 BYTE) ,
  "OBJECT_VERSION_NUMBER" NUMBER(38) DEFAULT 1 ,
  "REQUEST_ID" NUMBER(38) DEFAULT -1 ,
  "PROGRAM_ID" NUMBER(38) DEFAULT -1 ,
  "CREATED_BY" NUMBER(38) DEFAULT -1 ,
  "CREATION_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATED_BY" NUMBER(38) DEFAULT -1 ,
  "LAST_UPDATE_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATE_LOGIN" NUMBER(38) DEFAULT -1 
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SYS_CODE_RULES_HEADER"."HEADER_ID" IS 'PK';
COMMENT ON COLUMN "SYS_CODE_RULES_HEADER"."RULE_CODE" IS '编码规则CODE';
COMMENT ON COLUMN "SYS_CODE_RULES_HEADER"."RULE_NAME" IS '名称';
COMMENT ON COLUMN "SYS_CODE_RULES_HEADER"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "SYS_CODE_RULES_HEADER"."ENABLE_FLAG" IS '启用标志';
COMMENT ON TABLE "SYS_CODE_RULES_HEADER" IS '编码规则头表';

-- ----------------------------
-- Primary Key structure for table SYS_CODE_RULES_HEADER
-- ----------------------------
ALTER TABLE "SYS_CODE_RULES_HEADER" ADD CONSTRAINT "SYS_CODE_RULES_HEADER_PK" PRIMARY KEY ("HEADER_ID");

-- ----------------------------
-- Uniques structure for table SYS_CODE_RULES_HEADER
-- ----------------------------
ALTER TABLE "SYS_CODE_RULES_HEADER" ADD CONSTRAINT "SYS_CODE_RULES_HEADER_U1" UNIQUE ("RULE_CODE") NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

CREATE SEQUENCE  "SYS_CODE_RULES_HEADER_S"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 10001 CACHE 20 NOORDER  NOCYCLE